/* $Header: /src/carson/nistnet/lib/RCS/nistnetlib.h,v 1.4 1998/05/29 19:12:58 carson Exp $ */
#ifndef _NISTNETLIB_H
#define _NISTNETLIB_H

#include "nistnet.h"
#include "nistnet_table.h"

int
addhit(char *src, char *dest, int delay, int delsigma, int bandwidth,
	int drop, int dup, int drdmin, int drdmax, int drdcongestion, struct lin_hitreq *addme);

int addnistnet(NistnetTableEntryPtr addme);

int hitoff(void);
int nistnetoff(void);

int hiton(void);
int nistneton(void);

int openhit(void);
int opennistnet(void);

int readhit(struct addrpair *bigguy, int incount);
int readnistnet(NistnetTableKeyPtr bigguy, int incount);

int writehit(int *table, int size);

int rmhit(struct lin_hitreq *rmme);
int rmnistnet(NistnetTableEntryPtr rmme);

int stathit(struct lin_hitstats *statme);
int statnistnet(NistnetTableEntryPtr statme);

int debughit(int value);
int debugnistnet(int value);

int globalstathit(struct lin_globalstats *globs);
int nglobalstathit(struct lin_nglobalstats *globs);
int globalstatnistnet(struct nistnet_globalstats *globs);

#endif /* _NISTNETLIB_H */
